<div id="list-revenue">
  <div>
    <v-card class="rounded-t-lg elevation-0">
      <v-simple-table
        class="scrollTable c-pointer"
        fixed-header
        style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
      >
        <template v-slot:default>
          <thead>
            <tr>
              <th class="pa-3 table-head" v-if="tab === 0" style="width: 300px">
                <div class="d-flex align-center">
                  <p class="mb-0 text-capitalize text-[#737373] text-sm ml-2">
                    Date
                  </p>
                </div>
              </th>
              <th class="pa-3 table-head" v-if="tab === 1" style="width: 300px">
                <div class="d-flex align-center">
                  <p class="mb-0 text-capitalize text-[#737373] text-sm ml-2">
                    Domain
                  </p>
                </div>
              </th>
              <th class="pa-3 table-head" v-if="tab === 2" style="width: 300px">
                <div class="d-flex align-center">
                  <p class="mb-0 text-capitalize text-[#737373] text-sm ml-2">
                    Product
                  </p>
                </div>
              </th>
              <th class="pa-3 table-head" v-if="tab === 3" style="width: 300px">
                <div class="d-flex align-center">
                  <p class="mb-0 text-capitalize text-[#737373] text-sm ml-2">
                    Seller
                  </p>
                </div>
              </th>
              <th
                class="pa-3 table-head border-l border-[#edeeef]"
                v-if="!isAbandonedMail"
              >
                <div class="flex items-center gap-2">
                  <button
                    v-if="sortAddToCart"
                    @click="onSortTableHighToLow('addToCart')"
                  >
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Add To Cart
                    </p>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('addToCart')">
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Add To Cart
                    </p>
                  </button>
                </div>
              </th>
              <th
                class="pa-3 table-head border-l border-[#edeeef]"
                v-if="!isAbandonedMail"
              >
                <div class="flex items-center gap-2">
                  <button
                    v-if="sortInitiateCheckout"
                    @click="onSortTableHighToLow('goCheckout')"
                  >
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Initiate Checkout
                    </p>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('goCheckout')">
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Initiate Checkout
                    </p>
                  </button>
                </div>
              </th>
              <th
                class="pa-3 table-head border-l border-[#edeeef]"
                v-if="!isAbandonedMail"
              >
                <div class="flex items-center gap-2">
                  <button
                    v-if="sortCheckout"
                    @click="onSortTableHighToLow('checkout')"
                  >
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Add Payment Info
                    </p>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('checkout')">
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Add Payment Info
                    </p>
                  </button>
                </div>
              </th>
              <th class="pa-3 table-head border-l border-[#edeeef]">
                <div class="flex items-center gap-2">
                  <button
                    v-if="sortRevenueTotal"
                    @click="onSortTableHighToLow('revenueTotal')"
                  >
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Revenue (RE)
                    </p>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('revenueTotal')">
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Revenue (RE)
                    </p>
                  </button>
                </div>
              </th>
              <th class="pa-3 table-head border-l border-[#edeeef]">
                <div class="flex items-center gap-2">
                  <button
                    v-if="sortPurchase"
                    @click="onSortTableHighToLow('purchase')"
                  >
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Purchase Order (PO)
                    </p>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('purchase')">
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Purchase Order (PO)
                    </p>
                  </button>
                </div>
              </th>
              <th class="pa-3 table-head border-l border-[#edeeef]">
                <div class="flex items-center gap-2">
                  <button v-if="sortTip" @click="onSortTableHighToLow('tip')">
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Tips Received
                    </p>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('tip')">
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Tips Received
                    </p>
                  </button>
                </div>
              </th>
              <th class="pa-3 table-head border-l border-[#edeeef]">
                <div class="flex items-center gap-2">
                  <button
                    v-if="sortRefund"
                    @click="onSortTableHighToLow('refund')"
                  >
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Refund
                    </p>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('refund')">
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Refund
                    </p>
                  </button>
                </div>
              </th>
              <th class="pa-3 table-head border-l border-[#edeeef]">
                <div class="flex items-center gap-2">
                  <button
                    v-if="sortProductCost"
                    @click="onSortTableHighToLow('productCost')"
                  >
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Order Cost (OC)
                    </p>
                  </button>
                  <button v-else @click="onSortTableLowToHigh('productCost')">
                    <p class="mb-0 text-capitalize text-[#737373] text-sm">
                      Order Cost (OC)
                    </p>
                  </button>
                </div>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(elem,i) in listData" :key="'analytics' + i">
              <td class="pa-2" v-if="tab === 0">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 fsize-13 text-uppercase text-content-brand font-semibold ml-2"
                    v-if="i === listData.length - 1"
                  >
                    <span class="text-none"> Total </span>
                  </p>
                  <p
                    class="mb-0 fsize-13 text-uppercase text-content-brand font-semibold ml-2"
                    v-else
                  >
                    {{elem.group}}
                  </p>
                </div>
              </td>
              <td class="pa-2" v-if="tab === 1">
                <div v-if="i === listData.length - 1">
                  <p
                    class="mb-0 fsize-13 text-uppercase text-content-brand font-semibold ml-2"
                  >
                    <span class="text-none"> Total </span>
                  </p>
                </div>
                <div class="d-flex align-center" v-else>
                  <div class="d-flex align-center">
                    <v-icon> mdi-earth </v-icon>
                  </div>
                  <p
                    class="mb-0 ml-2 fisze-16 text-content-brand font-semibold"
                    @click="openDialogListOrder(elem.storeId, elem.group)"
                  >
                    {{elem.group}}
                  </p>
                </div>
              </td>
              <td class="pa-2" v-if="tab === 2">
                <div v-if="i === listData.length - 1">
                  <p
                    class="mb-0 fsize-13 text-uppercase text-content-brand font-semibold ml-2"
                  >
                    <span class="text-none"> Total </span>
                  </p>
                </div>
                <div class="d-flex align-center" v-else>
                  <div
                    class="d-flex align-center max-w-[72px] min-w-[72px] h-[72px]"
                  >
                    <img
                      :src="convertImage(elem.imageUrl)"
                      alt=""
                      width="100%"
                      height="100%"
                    />
                  </div>
                  <p
                    class="mb-0 ml-2 fisze-16 text-content-brand font-semibold"
                    @click="openDialogListOrder(elem.productId, elem.group)"
                  >
                    {{elem.group}}
                  </p>
                </div>
              </td>
              <td class="pa-2" v-if="tab === 3 ">
                <p
                  v-if="i === listData.length - 1"
                  class="mb-0 fsize-13 text-uppercase text-content-brand font-semibold ml-2"
                >
                  <span class="text-none"> Total </span>
                </p>
                <p
                  class="mb-0 fisze-16 text-content-brand font-semibold ml-2"
                  v-else
                  @click="openDialogListOrder(elem.sellerId, elem.group)"
                >
                  {{elem.group}}
                </p>
              </td>
              <td
                class="pa-3 border-l border-[#edeeef]"
                v-if="!isAbandonedMail"
              >
                <p
                  class="mb-0 fsize-13 text-uppercase black--text font-weight-light"
                >
                  {{elem.addToCart && $utils.formatCurrency(elem.addToCart)}}
                </p>
              </td>
              <td
                class="pa-3 border-l border-[#edeeef]"
                v-if="!isAbandonedMail"
              >
                <p
                  class="mb-0 fsize-13 text-uppercase black--text font-weight-light"
                >
                  {{elem.goCheckout && $utils.formatCurrency(elem.goCheckout)}}
                </p>
              </td>
              <td
                class="pa-3 border-l border-[#edeeef]"
                v-if="!isAbandonedMail"
              >
                <p
                  class="mb-0 fsize-13 text-uppercase black--text font-weight-light"
                >
                  {{elem.checkout && $utils.formatCurrency(elem.checkout)}}
                </p>
              </td>
              <td class="pa-3 border-l border-[#edeeef]">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 fsize-13 text-uppercase black--text font-weight-light"
                  >
                    ${{elem.revenue &&
                    $utils.formatCurrency(Math.round(elem.revenue * 100) /
                    100)}}
                  </p>
                </div>
              </td>
              <td class="pa-3 border-l border-[#edeeef]">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 fsize-13 text-uppercase black--text font-weight-light"
                  >
                    {{elem.purchase &&
                    $utils.formatCurrency(Math.round(elem.purchase * 100) /
                    100)}}
                  </p>
                </div>
              </td>
              <td class="pa-3 border-l border-[#edeeef]">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 fsize-13 text-uppercase black--text font-weight-light"
                  >
                    ${{elem.tip && $utils.formatCurrency(Math.round(elem.tip *
                    100) / 100) || 0}}
                  </p>
                </div>
              </td>
              <td class="pa-3 border-l border-[#edeeef]">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 fsize-13 text-uppercase black--text font-weight-light"
                    v-if="i === listData.length - 1 && tab === 0"
                  >
                    ${{ elem.refund && $utils.formatCurrencyFloat(elem.refund)
                    || 0 }}
                  </p>
                  <p
                    class="mb-0 fsize-13 text-uppercase black--text font-weight-light"
                    v-else
                  >
                    ${{ elem.revenueTotal &&
                    $utils.formatCurrencyFloat(elem.revenueTotal - elem.revenue)
                    || 0 }}
                  </p>
                </div>
              </td>
              <td class="pa-3 border-l border-[#edeeef]">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 fsize-13 text-uppercase black--text font-weight-light"
                  >
                    ${{elem.productCost &&
                    $utils.formatCurrency(Math.round(elem.productCost * 100) /
                    100) || 0}}
                  </p>
                </div>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
    </v-card>
  </div>

  <v-dialog
    v-model="dialogFullScreen"
    fullscreen
    transition="dialog-bottom-transition"
    class=""
  >
    <v-card id="hideBottomInput" class="main-bg relative">
      <div
        class="d-flex w-full justify-between align-center sm:pa-6 pa-3 fixed top-0 z-10 bg-white"
      >
        <div>
          <h1
            class="font-semibold md:text-2xl sm:text-xl text-lg text-gray-900"
            v-if="tab === 1"
          >
            Group: {{name}}
          </h1>
          <h1
            class="font-semibold md:text-2xl sm:text-xl text-lg text-gray-900"
            v-if="tab === 2"
          >
            Product: {{name}}
          </h1>
          <h1
            class="font-semibold md:text-2xl sm:text-xl text-lg text-gray-900"
            v-if="tab === 3"
          >
            Seller: {{name}}
          </h1>
        </div>
        <v-btn
          color="#242A2E"
          icon
          @click="closeDialogListOrder()"
          :disabled="loadingExport"
        >
          <v-icon>mdi-close</v-icon>
        </v-btn>
      </div>
      <v-divider></v-divider>
      <div class="sm:px-6 px-3">
        <div>
          <v-skeleton-loader
            class="mx-auto mt-10"
            width="100%"
            type="card"
            v-if="loadingTable"
          >
          </v-skeleton-loader>
          <v-simple-table
            class="scrollTable c-pointer pt-[65px] pb-3"
            id="scroll-list-order"
            fixed-header
            v-else
          >
            <template v-slot:default>
              <thead>
                <tr>
                  <th class="px-2 table-head rounded-tl-lg">
                    <div class="d-flex align-center" style="height: 48px">
                      <p
                        class="mb-0 text-sm text-uppercase table-headptionOverline text-content-main"
                      >
                        order ID
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-2 table-head">
                    <div style="width: 70px">
                      <p
                        class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                      >
                        product
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-2 table-head">
                    <div style="width: 70px">
                      <p
                        class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                      >
                        Refund
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-2 table-head">
                    <div style="width: 70px">
                      <p
                        class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                      >
                        Cost
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-2 table-head">
                    <div style="width: 70px">
                      <p
                        class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                      >
                        Tip
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-2 table-head">
                    <div style="width: 110px">
                      <p
                        class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                      >
                        Total Amount
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-2 table-head">
                    <p
                      class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                    >
                      Status
                    </p>
                  </th>
                  <th class="text-left px-2 table-head">
                    <p
                      class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                    >
                      Customer
                    </p>
                  </th>
                  <th class="text-left px-2 table-head">
                    <p
                      class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                    >
                      Seller
                    </p>
                  </th>
                  <th class="text-left px-2 table-head">
                    <p
                      class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                    >
                      Payment Getway
                    </p>
                  </th>
                  <th class="text-left px-2 table-head">
                    <p
                      class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                    >
                      Payment Method
                    </p>
                  </th>
                  <th class="text-left px-2 table-head">
                    <p
                      class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                    >
                      Paid At
                    </p>
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(order,i) in listOrder" :key="order._id">
                  <td class="px-2 py-2">
                    <div class="d-flex align-center">
                      <div class="d-flex align-center">
                        <a
                          :href="`/admin/order/${order._id}`"
                          class="text-decoration-none"
                          target="_blank"
                        >
                          <p
                            class="mb-0 text-xs text-[#076ce3] font-weight-bold"
                          >
                            {{order.orderCode}}
                          </p>
                        </a>
                      </div>
                    </div>
                  </td>
                  <td class="px-2 py-2">
                    <div
                      v-for="(product, idx) in order.listSelectedProductId"
                      :key="idx"
                    >
                      <div class="d-flex align-center mb-2">
                        <div class="d-flex align-center">
                          <img
                            :src="convertImage(product.imageUrl)"
                            alt=""
                            class="rounded-lg"
                            width="56"
                            height="56"
                            v-if="product.imageUrl"
                          />
                          <img
                            src="~/assets/images/thumbnails-image.png"
                            alt=""
                            class="rounded-lg"
                            width="56"
                            height="56"
                            v-else
                          />
                        </div>
                        <div class="d-flex align-center">
                          <p
                            class="mb-0 ml-3 fsize-14"
                            v-if="product && product.productId && product.productId.variant && product.productId.variant.length"
                          >
                            {{product.productId.variant.join(" / ")}}
                          </p>
                          <span class="ml-3 fsize-14">
                            x {{product.quantity}}
                          </span>
                        </div>
                      </div>
                    </div>
                  </td>
                  <td class="px-2 py-2">
                    <p class="mb-0 lightContentPrimary fsize-14">
                      ${{order.orderStatus === 'canceled' ? order.total &&
                      $utils.formatCurrencyFloat(order.total) : 0}}
                    </p>
                  </td>
                  <td class="px-2 py-2">
                    <p class="mb-0 lightContentPrimary fsize-14">
                      ${{order.totalCost &&
                      $utils.formatCurrencyFloat(order.totalCost)}}
                    </p>
                  </td>
                  <td class="px-2 py-2">
                    <p class="mb-0 lightContentPrimary fsize-14">
                      ${{order.tip && $utils.formatCurrencyFloat(order.tip ||
                      0)}}
                    </p>
                  </td>
                  <td class="px-2 py-2">
                    <p class="mb-0 lightContentPrimary fsize-14">
                      ${{order.total && $utils.formatCurrencyFloat(order.total -
                      order.tip) || 0}}
                    </p>
                  </td>
                  <td class="px-2 py-2">
                    <div class="d-flex">
                      <div
                        v-if="order.orderStatus === 'processing'"
                        style="background-color: #e1effe"
                        class="py-1 px-2 rounded-lg text-uppercase"
                      >
                        <p class="mb-0 text-xs" style="color: #2196f3">
                          Processing
                        </p>
                      </div>
                      <div
                        v-if="order.orderStatus === 'pending'"
                        style="background: rgba(255, 193, 48, 0.08)"
                        class="py-1 px-2 rounded-lg text-uppercase"
                      >
                        <p class="mb-0 text-xs" style="color: #fb8c00">
                          Pending
                        </p>
                      </div>
                      <div
                        v-if="order.orderStatus === 'canceled'"
                        style="background-color: #e1effe"
                        class="py-1 px-2 rounded-lg text-uppercase"
                      >
                        <p class="mb-0 text-xs" style="color: #ff5252">
                          Canceled
                        </p>
                      </div>
                      <div
                        v-if="order.orderStatus === 'fulfilled'"
                        style="background-color: #e1effe"
                        class="py-1 px-2 rounded-lg text-uppercase"
                      >
                        <p class="mb-0 text-xs" style="color: #4caf50">
                          Fulfilled
                        </p>
                      </div>
                    </div>
                  </td>
                  <td class="px-2 py-2">
                    <p class="mb-0 lightContentPrimary fsize-14">
                      {{order.shippingAddress.firstName}}
                      {{order.shippingAddress.lastName}}
                    </p>
                    <p class="mb-0 lightContentPrimary fsize-14">
                      {{order.shippingAddress.country}}
                    </p>
                  </td>
                  <td class="px-2 py-2">
                    <p class="mb-0 lightContentPrimary fsize-12">
                      {{order.sellerId && order.sellerId.email}}
                    </p>
                  </td>
                  <td class="px-2 py-2">
                    <p class="mb-0 lightContentPrimary fsize-12">
                      {{order.paymentId && order.paymentId.name}}
                    </p>
                  </td>
                  <td class="px-2 py-2">
                    <div class="flex items-center">
                      <div class="!w-9 h-9" v-if="order.paypal">
                        <img
                          src="~/assets/images/logos_paypal.svg"
                          alt=""
                          class="w-full h-full object-scale-down"
                        />
                      </div>
                      <div class="!w-9 h-9" v-if="order.stripe">
                        <img
                          src="~/assets/images/bi_stripe.svg"
                          alt=""
                          class="w-full h-full object-scale-down"
                        />
                      </div>
                      <p
                        class="mb-0 ml-2 text-sm font-semibold text-neutral-900"
                        v-if="order.paypal"
                      >
                        Paypal
                      </p>
                      <p
                        class="mb-0 ml-2 text-sm font-semibold text-neutral-900"
                        v-if="order.stripe"
                      >
                        Stripe
                      </p>
                    </div>
                  </td>
                  <!-- <td class="px-2 py-2">
                      <p class="mb-0 lightContentPrimary fsize-12">
                        {{order.storeId && order.storeId.domain}}
                      </p>
                    </td> -->
                  <!-- <td class="px-2 py-2">
                      <p class="mb-0 lightContentPrimary fsize-12">
                        {{order.createdAt && formatDate(order.createdAt)}}
                      </p>
                    </td> -->
                  <td class="px-2 py-2">
                    <p class="mb-0 lightContentPrimary fsize-12">
                      {{order.processingDate &&
                      formatDate(order.processingDate)}}
                    </p>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <div
            class="d-flex justify-center my-2"
            v-if="listOrder.length == 0 && !loadingTable"
          >
            <div>
              <div class="d-flex align-center justify-center">
                <img
                  src="~/assets/images/no-product.png"
                  alt=""
                  width="136"
                  height="136"
                />
              </div>
              <p class="mb-0 mt-4 text-center colorGreyHeaderTable">
                Your orders will show here
              </p>
            </div>
          </div>
          <div
            class="text-center d-none d-sm-flex align-center justify-between fixed bottom-0 left-0 bg-white w-full z-10 px-5"
          >
            <div class="d-flex items-center">
              <v-btn
                color="#3F83F8"
                outlined
                :disabled="loadingExport"
                @click="closeDialogListOrder()"
                class="text-capitalize py-2 px-4"
                outlined
              >
                Close
              </v-btn>
              <v-btn
                color="#3F83F8"
                :disabled="loadingExport"
                @click="onExportFile()"
                class="text-capitalize ml-3 py-2 px-4 elevation-0"
              >
                <v-progress-circular
                  v-if="loadingExport"
                  size="18"
                  indeterminate
                  color="#076CE3"
                >
                </v-progress-circular>
                <div class="flex items-center" v-else>
                  <v-icon color="#ffffff"> mdi-file-export </v-icon>
                  <span class="text-content-on-color">
                    Export {{total}} orders</span
                  >
                </div>
              </v-btn>
            </div>
            <download-excel
              :data="json_data"
              :fields="json_fields"
              name="export-order.xls"
              :before-generate="fetchData"
              class="d-none"
              ref="export"
            >
            </download-excel>
            <div class="d-sm-flex items-center">
              <v-pagination
                v-model="config.page"
                :length="totalPage"
                :total-visible="5"
                class="pagination"
              >
              </v-pagination>
              <div
                id="hideBottomInput"
                class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0"
              >
                <v-text-field
                  dense
                  outlined
                  v-model.number="page"
                  placeholder="Go to page"
                >
                </v-text-field>
                <div class="button-inside-input">
                  <v-btn
                    height="36px"
                    color="#076CE3"
                    class="px-2 button-inside-input__button elevation-0"
                    @click="onRedirectPage()"
                  >
                    <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
                  </v-btn>
                </div>
              </div>
            </div>
          </div>
          <div
            class="text-center fixed bottom-0 left-0 bg-white w-full z-10 px-5 d-sm-none pb-1"
          >
            <div class="d-sm-flex items-center">
              <v-pagination
                v-model="config.page"
                :length="totalPage"
                :total-visible="5"
                class="pagination"
              >
              </v-pagination>
              <div
                id="hideBottomInput"
                class="input-gotopage pos-relative mt-3 mt-sm-0"
              >
                <v-text-field
                  dense
                  outlined
                  v-model.number="page"
                  placeholder="Go to page"
                >
                </v-text-field>
                <div class="button-inside-input">
                  <v-btn
                    height="36px"
                    color="#076CE3"
                    class="px-2 button-inside-input__button elevation-0"
                    @click="onRedirectPage()"
                  >
                    <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
                  </v-btn>
                </div>
              </div>
            </div>
            <div class="flex items-center mt-4">
              <v-btn
                color="#3F83F8"
                outlined
                :disabled="loadingExport"
                @click="closeDialogListOrder()"
                class="text-capitalize py-2 px-4"
                outlined
              >
                Close
              </v-btn>
              <v-btn
                color="#3F83F8"
                :disabled="loadingExport"
                @click="closeDialogListOrder()"
                class="text-capitalize ml-3 py-2 px-4 elevation-0"
              >
                <div class="flex items-center">
                  <v-icon color="#ffffff"> mdi-file-export </v-icon>
                  <span class="text-content-on-color"> Export </span>
                </div>
              </v-btn>
            </div>
          </div>
        </div>
      </div>
      <!-- <div class="d-flex gap-2 justify-end sm:pa-4">
        <v-btn
          :disabled="loadingCheckDomain || loading"
          @click="onCloseDialog()"
          class="text-capitalize sm:py-6 py-3"
          outlined
        >
          Back
        </v-btn>
        <v-btn
          @click="onCreateStore()"
          color="primary"
          :disabled="domains.length <= 0 || loadingCheckDomain || loading || isDomainExist"
          class="text-capitalize text-white sm:py-6 py-3"
          depressed
        >
          <v-progress-circular
            v-if="loading"
            size="18"
            indeterminate
            color="#076CE3"
          >
          </v-progress-circular>
          <span v-else> Create new Store </span>
        </v-btn>
      </div> -->
    </v-card>
  </v-dialog>
</div>
